Page MenuHomePhabricator

Internal links in <noinclude> are not displayed correctly in revision history
Closed, ResolvedPublic

Description

on https://www.wikidata.org/w/index.php?title=Wikidata:Requests_for_permissions/Bot/MineoBot_8&action=history the only entry at the moment is

(Created page with "<noinclude>3}}</noinclude> === User:MineoBot 8=== {{Request for permissions/links|Mineo...")

where "3}}" is a link to https://www.wikidata.org/wiki/Category:Requests_for_permissions/Bot. The wikitext of that part is actually "<noinclude>[[Category:Requests for permissions/Bot|MineoBot 8]]</noinclude>", so I'm not even sure where "3}}" is coming from.

I have no idea which of the gazillion projects is the right one for this.

Event Timeline

Mineo created this task.May 16 2015, 9:31 AM
Mineo raised the priority of this task from to Needs Triage.
Mineo updated the task description. (Show Details)
Mineo added a subscriber: Mineo.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 16 2015, 9:31 AM
TTO added a subscriber: TTO.

If not sure, use General/Unknown. Let's try these ones though

TTO triaged this task as Low priority.May 16 2015, 10:00 AM

According to the API, the actual wikitext source for the edit summary is

Created page with "<noinclude>[[Category:Requests for permissions/Bot|{{subst:#titleparts:{{subst:PAGENAME}}|1|3}}]]</noinclude> === [[User:MineoBot|]] 8=== {{Request for permissions/links|Mineo..."

Apparently the mini-parser used to interpret edit summaries has trouble with the multiple pipes, and discards a bunch of text.

Change 255919 had a related patch set uploaded (by TTO):
Handle links with multiple pipes correctly in edit summaries

https://gerrit.wikimedia.org/r/255919

TTO claimed this task.Feb 20 2016, 2:01 AM

Change 255919 merged by jenkins-bot:
Handle links with multiple pipes correctly in edit summaries

https://gerrit.wikimedia.org/r/255919

TTO closed this task as Resolved.Sep 23 2016, 8:58 AM

Should be fixed. Please check this edit summary on-wiki next week; it should display properly.

TTO added a comment.Dec 21 2016, 1:48 PM

Now displays correctly, or at least, more correctly than before:

(Created page with "<noinclude>{{subst:#titleparts:{{subst:PAGENAME}}|1|3}}</noinclude> === User:MineoBot 8=== {{Request for permissions/links|Mineo...")
                               --------------------------------------------                 -------------

where --- represents links.

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptFri, Sep 20, 7:48 PM